import { JavaObject } from '../../../java/lang/JavaObject';
export declare class FachDaten extends JavaObject {
    id: number;
    kuerzel: String | null;
    bezeichnung: String | null;
    kuerzelStatistik: String | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): FachDaten;
    static transpilerToJSON(obj: FachDaten): string;
    static transpilerToJSONPatch(obj: Partial<FachDaten>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_fach_FachDaten(obj: unknown): FachDaten;
